#include <stdio.h>
#define SOUBOR "vystup.txt"

char precti_znak_a_vyprazdni_buffer(void)
{
  char znak;
  znak = getchar();
  while (getchar() != '\n')
    ;
  return znak;
}

double precti_cislo(void)
{
  double cislo;
  printf("Zadej cislo: ");
  while (scanf("%lf", &cislo) != 1) {
    printf("Zadali jste spatne.\n");
    while (getchar() != '\n')
      ;
    printf("Zadej cislo: ");
  }
  while (getchar() != '\n')
    ;
  return cislo;
}

int main()
{
  FILE *fw;
  char c;
  double r;
  if ((fw = fopen(SOUBOR, "w")) == NULL) {
    printf("Soubor %s se nepodarilo otevrit.\n", SOUBOR);
    return 1;
  }
  do {
    printf("Zadejte 'c' pro zadani cisla nebo 'k' pro ukonceni programu: ");
    c = precti_znak_a_vyprazdni_buffer();
    switch (c) {
      case 'c':
      case 'C':
        r = precti_cislo();
        printf("Zaporne cislo je: %f\n", -r);
        printf("Prevracena hodnota cisla je: %f\n", 1 / r);
        fprintf(fw, "Bylo zadano cislo %f. ", r);
        fprintf(fw, "K nemu zaporne cislo je %f. ", -r);
        fprintf(fw, "Prevracena hodnota cisla je %f.\n", 1 / r);
        break;
      case 'k':
      case 'K':
        printf("Konec programu.");
        break;
      default:
        printf("Neznama volba.\n");
        break;
    }
  } while (c != 'k' && c != 'K');
  if (fclose(fw) == EOF) {
    printf("Soubor %s se nepodarilo uzavrit.\n", SOUBOR);
    return 1;
  }
  return 0;
}
