#include <stdio.h>
#define SOUBOR_VSTUP "vstup.txt"
#define SOUBOR_VYSTUP "vystup.txt"

int main(void) {
  FILE *fr, *fw;
  int i = 0, cislo;
  double prumer = 0.0;
  if ((fr = fopen(SOUBOR_VSTUP, "r")) == NULL) {
    printf("Soubor %s se nepodarilo otevrit.\n", SOUBOR_VSTUP);
    return 1;
  }
  if ((fw = fopen(SOUBOR_VYSTUP, "w")) == NULL) {
    printf("Soubor %s se nepodarilo otevrit.\n", SOUBOR_VYSTUP);
    return 1;
  }
  while (fscanf(fr, "%d", &cislo) == 1) {
    prumer += (cislo - prumer) / ++i;
  }
  fprintf(fw, "%f\n", prumer);
  if (fclose(fw) == EOF) {
    printf("Soubor %s se nepodarilo uzavrit.\n", SOUBOR_VYSTUP);
    return 1;
  }
  if (fclose(fr) == EOF) {
    printf("Soubor %s se nepodarilo uzavrit.\n", SOUBOR_VSTUP);
    return 1;
  }
  return 0;
}
