#include <stdio.h>
#include <stdbool.h>
#include <ctype.h>
#define SOUBOR_VSTUP "vstup.txt"
#define SOUBOR_VYSTUP "vystup.txt"

int main()
{
  FILE *fr, *fw;
  int c, pocet_slov = 0;
  bool slovo_pred, slovo;
  slovo_pred = slovo = false;
  if ((fr = fopen(SOUBOR_VSTUP, "r")) == NULL) {
    printf("Soubor %s se nepodarilo otevrit.\n", SOUBOR_VSTUP);
    return 1;
  }
  if ((fw = fopen(SOUBOR_VYSTUP, "w")) == NULL) {
    printf("Soubor %s se nepodarilo otevrit.\n", SOUBOR_VYSTUP);
    return 1;
  }
  while (c = getc(fr), !feof(fr)) {
    if (ispunct(c) || isspace(c)) {
      if (slovo_pred) {
        pocet_slov++;
      }
      slovo = false;
    } else {
      slovo = true;
    }
    slovo_pred = slovo;
  }
  if (slovo) {
    pocet_slov++;
  }
  fprintf(fw, "%d", pocet_slov);
  if (fclose(fw) == EOF) {
    printf("Soubor %s se nepodarilo uzavrit.\n", SOUBOR_VYSTUP);
    return 1;
  }
  if (fclose(fr) == EOF) {
    printf("Soubor %s se nepodarilo uzavrit.\n", SOUBOR_VSTUP);
    return 1;
  }
  return 0;
}
